=== osso-voip-ui 2.5 ===

2008-04-24  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manager.c: (voip_manager_request_new_call):
	Remove an old timeout hack (Fixes: NB#81697)

=== osso-voip-ui 2.4 ===

2008-03-19  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manager.c: (request_video_stream_cb):
	If requesting a video stream fails while handling an incoming call,
	do not disable the camera (Fixes: NB#82864)

=== osso-voip-ui 2.3 ===

2008-03-18  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-call-context.c: (contacts_changed_cb),
	(voip_call_context_set_contact):
	Correct the previous fix: call did not end if the
	contact was blocked from within the application.

=== osso-voip-ui 2.2 ===

2008-03-12  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-call-context.c: (contacts_changed_cb):
	Only end the call if the contact just became blocked

2008-03-03  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manager.c: (list_streams_cb):
	Oops, make it compile

=== osso-voip-ui 2.1 ===

2008-03-03  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manager.c: (list_streams_cb):
	Do not request a video stream if the device is locked
	(Fixes: NB#81658)

=== osso-voip-ui 2.0.99 ===

2008-02-28  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manager.c: (voip_error_quark):
	Use a unique error domain for GErrors returned by HandleChannel
	(Fixes: NB#81483)

=== osso-voip-ui 2.0.98 ===

2008-02-28  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-window.c: (voip_window_init):
	Use G_PRIORITY_DEFAULT + 1 for the idle function that determines
	whether or not to show the idle view (Fixes: NB#81479)

=== osso-voip-ui 2.0.97 ===

2008-02-19  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manager.c: (stream_removed_cb):
	Do not turn off the camera when a video stream is removed from
	an unanswered call (Fixes: NB#80938)

=== osso-voip-ui 2.0.96 ===

2008-02-13  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manager.c: (list_streams_cb):
	Request a video stream, if camera is enabled on receiving an incoming
	audio call (and caps allow video) (Fixes: NB#80263)

=== osso-voip-ui 2.0.95 ===

2008-02-11  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-call-context.c: (contacts_changed_cb),
	(sequence_complete_cb):
	* src/voip-call-view.c: (update_data), (context_contact_notify_cb),
	(voip_call_view_init):
	Do not re-add manual contacts if they are deleted in the summary
	view (Fixes: NB#80145)

=== osso-voip-ui 2.0.94 ===

2008-02-07  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-window.c: (request_new_call):
	Do not display "Invalid number" banner when trying to start
	a call without a valid account (Fixes: NB#80349)

=== osso-voip-ui 2.0.93 ===

2008-02-01  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-call-view.c: (context_caps_notify_cb),
	(manager_new_context_cb), (view_visibility_notify_cb),
	(voip_call_view_init):
	* src/voip-manager.c: (add_preview_window),
	(remove_preview_window), (list_streams_cb), (request_streams_cb),
	(set_camera_enabled), (voip_manager_dispose),
	(get_capabilities_cb), (context_state_notify_cb),
	(voip_manager_request_new_call), (voip_manager_handle_channel):
	Make it possible to start video calls (without upgrading)
	on N810.

2008-01-30  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-call-context.c: (voip_call_context_get_account):
	* src/voip-call-context.h:
	Add an accessor for the McAccount
	
	* src/voip-manager.c: (account_supports_video), (get_members_cb),
	(voip_manager_handle_channel):
	Whenever there's no capabilities iface, enable video capability only
	if video-p2p capability is set in the profile (Fixes: NB#80075).

2008-01-07  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* data/osso-voip-ui.schemas:
	* src/common.h:
	* src/voip-settings-dialog.c: (dlg_response_cb),
	(voip_settings_dialog_init):
	Remove unused gconf keys and settings for the camera

2008-01-07  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-idle-view.c: (view_visibility_notify_cb):
	Remove preview window but do not disable the camera
	on hiding the idle view.

2008-01-07  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/main.c: (main):
	Move g_set_application_name() later
	
	* src/voip-idle-view.c: (video_window_clicked_cb),
	(icon_clicked_cb), (voip_idle_view_init):
	Show/hide the camera preview on button release
	
	* src/voip-video-window.c: (voip_video_window_realize):
	Add button press and release events

=== osso-voip-ui 2.0.92 ===

2008-01-02  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-call-context.c: (voip_call_context_add_caps):
	* src/voip-manager.c: (emit_error):
	Formatting changes
	
	* src/voip-window.c: (ongoing_call_response_cb),
	(context_state_notify_cb), (devlock_mode_changed_cb):
	Only unset the devlock mode callback when the ongoing
	call dialog is destroyed (Fixes: NB#78831).

2007-12-19  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manager.c: (voip_manager_dispose), (voip_manager_init):
	Do nothing when SE crashes (MC will handle this)

=== osso-voip-ui 2.0.91 ===

2007-12-17  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manager.c: (list_streams_cb), (stream_removed_cb),
	(stream_added_cb), (get_capabilities_cb),
	(connection_caps_changed_cb):
	Set "fake-video-caps" on ListStreams if there's a video stream
	but no existing video capability.
	Unset "fake-video-caps" on GetCapabilities if the peer is
	capable of video.

2007-12-13  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/Makefile.am:
	* src/voip-manager.c: (set_camera_enabled), (get_members_cb),
	(connection_status_changed_cb), (connection_destroyed_cb),
	(voip_manager_request_new_call), (voip_manager_handle_channel),
	(voip_manager_accept_call), (voip_manager_reject_call),
	(voip_manager_recalculate_directionality),
	(voip_manager_start_dtmf), (voip_manager_stop_dtmf):
	Make the module compile with -DLIBTELEPATHY_DISABLE_DEPRECATED

=== osso-voip-ui 2.0.90 ===

2007-12-11  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manager.c: (connection_caps_changed_cb):
	Set "fake-video-caps" when caps are removed while having
	an existing video stream

=== osso-voip-ui 2.0.89 ===

2007-12-11  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manager.c: (voip_manager_handle_channel):
	No need to handle the GError twice...

2007-12-07  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manager.c: (voip_manager_handle_channel):
	Use tp_conn_new_without_connect()

=== osso-voip-ui 2.0.88 ===

2007-12-05  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-call-view.c: (context_caps_changed_cb),
	(manager_new_context_cb), (view_visibility_notify_cb),
	(morph_summary_view), (set_local_preview):
	Tweak debug prints
	
	* src/voip-manager.c: (stream_removed_cb), (stream_added_cb),
	(set_camera_enabled), (connection_caps_changed_cb):
	If an outgoing call is made with camera out, request both audio
	and video streams at one go (Fixes N800 IOP issues in SIP video
	calls)
	Unset video capability when a video stream is removed and the
	capability was assumed by us (rather than signalled by the CM)
	Fixes: NB#77430.

2007-11-20  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manager.c: (lookup_stream_data_by_type),
	(lookup_stream_data_by_id), (lookup_stream_element_by_id),
	(voip_manager_handle_channel),
	(voip_manager_recalculate_directionality):
	* src/voip-recent-model.c:
	Minor clean-up

2007-11-08  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-recent-model.c: (voip_recent_model_init),
	(voip_recent_model_add):
	Remove dead code
	
	* src/voip-video-frame.c:
	(voip_video_frame_compute_child_allocation),
	(voip_video_frame_style_set):
	Add comments

2007-10-30  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-video-window.c: (voip_video_window_init),
	(voip_video_window_realize), (check_size_cb),
	(voip_video_window_size_allocate), (voip_video_window_class_init),
	(voip_video_window_get_xid):
	Don't pretend to be a no-window widget (and as a result, remove
	redundant code)

=== osso-voip-ui 2.0.87 ===

2007-10-19  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-details-dialog.c: (dialog_destroy_cb), (foreach_func),
	(update_statistics_timeout), (construct_advanced_page),
	(construct_main_page), (voip_details_dialog_new),
	(voip_details_dialog_set_manager):
	Query statistics from SE and show them in the details dialog

2007-10-17  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-video-frame.c:
	(voip_video_frame_compute_child_allocation),
	(voip_video_frame_set_keep_ar):
	* src/voip-video-frame.h:
	Make it possible to not keep the aspect ratio when fill is set

	* src/voip-call-view.c: (update_remote_video_status),
	(voip_call_view_init):
	Let the output window occupy all the width available, although
	this distorts the aspect ratio

=== osso-voip-ui 2.0.86 ===

2007-10-10  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manager.c: (stream_added_cb):
	If another stream of the same type arrives, remove the existing
	one if it's still disconnected (Fixes: NB#69778)

2007-10-09  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manual-dial-dialog.c: (save_data_func):
	* src/voip-recent-model.c: (voip_recent_model_save_internal):
	Use 0755 instead of 0777 as permissions when creating the dir

2007-10-09  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* configure.in:
	Remove -Wcast-align
	
	* src/voip-window.c: (menu_close_cb):
	Check for manager being NULL

	* src/voip-manual-dial-dialog.c: (save_data_func),
	(voip_md_dialog_class_init):
	* src/voip-recent-model.c: (voip_recent_model_load_internal),
	(voip_recent_model_save_internal):
	Create ".osso" if it does not exist; use g_build_filename()

2007-10-05  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manager.c: (request_video_stream_cb):
	Fix a potential (but unlikely) crash pointed out by coverity

2007-10-04  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-incoming-call-dialog.c: (context_contact_notify_cb):
	Remove dead code

	* src/voip-manager.c: (voip_manager_set_volume):
	Use MIN instead of CLAMP
	
	* src/voip-recent-model.c: (voip_recent_model_add):
	No need to check for remote_address being NULL twice

2007-10-04  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manager.c: (request_video_stream_cb):
	Upon failing to request a video stream, disable camera
	(In practice, this does not change anything much, as the request
	only fails if there are no caps (= button dimmed) or if we call
	RequestStreams with invalid arguments)
	
=== osso-voip-ui 2.0.85 ===

2007-10-03  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-window.c: (book_opened_cb):
	If opening the EBook fails when opened through URI handler,
	don't open up empty (fixes an issue pointed out in NB#71825,
	but not the original problem there)

2007-10-01  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-call-view.c: (setup_summary_pane):
	Add some margin between the two buttons	
	
	* src/voip-manager.c: (stream_removed_cb):
	Add debug

=== osso-voip-ui 2.0.84 ===

2007-10-01  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-call-view.c: (voip_call_view_init):
	Use the rtcom frame graphics, as they no longer have rounded
	corners
	
=== osso-voip-ui 2.0.83 ===

2007-10-01  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-call-view.c: (voip_call_view_init):
	Enable "fill" for output frame
	
	* src/voip-video-frame.c:
	(voip_video_frame_compute_child_allocation),
	(voip_video_frame_style_set), (voip_video_frame_class_init),
	(voip_video_frame_set_fill):
	Correct the "fill" mode

2007-09-28  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/Makefile.am:
	* src/voip-call-view.c: (update_data), (account_changed_cb),
	(set_local_preview), (voip_call_view_init),
	(voip_call_view_set_fullscreen_mode):
	* src/voip-video-frame.[ch]:
	Add an experimental VoipVideoFrame widget

=== osso-voip-ui 2.0.82 ===

2007-09-28  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-call-view.c:
	* src/voip-video-window.[ch]:
	Make it possible to limit video window sizes (did not seem to help
	with fps, though)

2007-09-27  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-details-dialog.c: (free_priv_func), (dialog_destroy_cb),
	(foreach_func), (update_advanced_page), (voip_details_dialog_new),
	(voip_details_dialog_set_manager):
	* src/voip-details-dialog.h:
	* src/voip-manager.c: (voip_manager_get_statistics),
	(voip_manager_get_supported_codecs):
	* src/voip-manager.h:
	* src/voip-window.c: (menu_details_cb):
	More work on the statistics stuff. Displaying the stats on the UI
	still to be done.

2007-09-27  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-details-dialog.c: (dialog_response_cb),
	(free_stats_ctx), (construct_advanced_page), (construct_main_page),
	(voip_details_dialog_new), (voip_settings_dialog_set_manager):
	* src/voip-details-dialog.h:
	* src/voip-manager.c: (voip_manager_get_statistics),
	(voip_manager_get_supported_codecs):
	* src/voip-manager.h:
	* src/voip-window.c:
	Add some skeleton code for statistics support.
	Enable statistics when --enable-tests is set.

2007-09-27  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-details-dialog.c: (construct_main_page),
	(voip_details_dialog_new):
	Split the code into two functions

2007-09-27  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/Makefile.am:
	* src/voip-details-dialog.c: (voip_details_dialog_new):
	* src/voip-details-dialog.h:
	* src/voip-window.c: (menu_details_cb):
	Move details dialog into its own module as it's getting
	more contents and complexity

=== osso-voip-ui 2.0.81 ===

2007-09-26  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manager.c: (request_video_stream_cb), (list_streams_cb),
	(request_audio_stream_cb), (request_streams_cb),
	(get_capabilities_cb):
	Free the GValueArrays contained in the GPtrArrays

=== osso-voip-ui 2.0.80 ===

2007-09-25  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/main.c: (main):
	Remove redundant gdk_error_trap_push()/pop()

	* src/voip-manager.c:
	(tp_chan_iface_group_remove_members_with_reason_no_reply),
	(get_local_pending_cb), (voip_manager_reject_call):
	Get the local pending members synchronously and remove them
	with a no-reply D-Bus call

=== osso-voip-ui 2.0.79 ===

2007-09-25  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manager.c: (list_streams_cb):
	Assume video capabilities if there's a video stream
	right from the beginning

=== osso-voip-ui 2.0.78 ===

2007-09-24  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-recent-model.c: (voip_recent_model_save_internal):
	Don't leak the GKeyFile

=== osso-voip-ui 2.0.77 ===

2007-09-24  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-call-view.c: (setup_summary_pane):
	* src/voip-window.c: (context_state_notify_cb):
	Work around UI spec bug NB#68696

2007-09-24  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-recent-model.c: (voip_recent_model_load_internal),
	(voip_recent_model_save_internal):
	Use GKeyFile as a storage

2007-09-24  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manual-dial-dialog.c: (save_data_func),
	(combo_entry_changed_cb), (voip_md_dialog_init),
	(voip_md_dialog_finalize), (voip_md_dialog_class_init):
	Make the last dialled calls persist (Fixes: NB#68342)

2007-09-24  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-ringtones.c: (gconf_notify_cb):
	Combine three notification functions into one

2007-09-24  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-avatar-image.c: (avatar_changed_cb),
	(voip_avatar_image_finalize), (voip_avatar_image_set_avatar),
	(voip_avatar_image_set_from_pixbuf):
	* src/voip-avatar.c: (voip_avatar_finalize):
	* src/voip-call-context.c: (destroy_book_view),
	(voip_call_context_finalize):
	* src/voip-call-view.c: (morph_summary_view), (update_status_text):
	Add reference count debug into critical places.
	If the call has been connected before, show "reconnecting" instead
	of "connecting" (Fixes: NB#70545)

=== osso-voip-ui 2.0.76 ===

2007-09-21  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manager.c: (voip_manager_dispose):
	Disconnect error handler from MC proxy

2007-09-18  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-call-view.c: (voip_call_view_init):
	* src/voip-idle-view.c: (voip_idle_view_init):
	* src/voip-video-window.c: (check_size_cb),
	(voip_video_window_size_allocate), (voip_video_window_finalize),
	(voip_video_window_class_init):
	Name video windows to ease debugging.
	Query video window size and position delayedly to ensure the window
	has time to settle down and we get reliable debug

=== osso-voip-ui 2.0.75 ===

2007-09-17  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manager.c: (channel_members_changed_cb):
	Show "Unable to establish connection" only when the the call
	fails in calling or connecting state

2007-09-17  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manager.c: (stream_removed_cb), (stream_added_cb):
	Avoid disabling the camera when two video streams collide
	and one of them gets removed (Fixes: NB#69778)

=== osso-voip-ui 2.0.74 ===

2007-09-13  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manager.c: (voip_manager_dispose):
	Fix a memory corruption (Fixes: NB#69102)

=== osso-voip-ui 2.0.73 ===

2007-09-12  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manager.c: (voip_manager_init):
	Handle libhal_ctx_init() return value to avoid triggering a
	D-Bus memory corruption bug (NB#69207) or an assertion.

	* src/main.c: (main):
	Trap possible XV-related errors at exit

2007-09-11  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-window.c: (request_new_call_by_contact):
	If a contact does not have voice-capable accounts,
	show "Contact unable to talk" banner instead of "Invalid
	address"

=== osso-voip-ui 2.0.72 ===

2007-09-11  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/main.c: (osso_rpc_cb):
	* src/voip-idle-view.c: (manager_camera_enabled_notify_cb),
	(voip_idle_view_init), (voip_idle_view_set_manager):
	* src/voip-window.c: (recent_item_activated_cb),
	(voip_window_set_auto_answer), (voip_window_terminate_call),
	(voip_window_get_manager):
	* src/voip-window.h:
	Add set_camera_enabled (b: enabled) D-Bus method for
	automated tests. The UI reserves the right to override this
	setting (or even malfunction because of it) at any time

2007-09-10  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-call-view.c: (set_call_state):
	HildonVolumebar no longer grabs focus on setting mute, hence
	remove an old workaround

=== osso-voip-ui 2.0.71 ===

2007-09-07  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-dialpad.h:
	* src/voip-dialpad.c: (idle_emit_end_dtmf), (button_pressed_cb),
	(button_released_cb), (voip_dialpad_destroy),
	(voip_dialpad_class_init):
	Stop DTMF events 100ms after button release. Remove the timer
	if the same button is pressed again in the mean time
	(a workaround for NB#68613 that won't be fixed)
	
	* src/voip-window.c: (voip_accounts_filter_func),
	(voip_accounts_enabled_filter_func),
	(resolve_local_accounts_by_vcard_field),
	(run_add_new_contact_dialog), (voip_window_init):
	Add a new filter function for enabledness and use it where
	enabledness matters. The old one can be used when it doesn't
	matter (Fixes: NB#68776)

	* src/voip-window.c: (menu_get_in_contact_cb),
	(run_add_new_contact_dialog), (view_action_cb):
	Don't use the all-contact book view unless it's been started
	(Fixes: NB#68772)
	
=== osso-voip-ui 2.0.70 ===

2007-09-06  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-window.c: (context_contact_notify_cb):
	Do not overwrite the summary view title when
	the EContact changes on updating the last-used timestamp
	(Fixes: NB#68696)

2007-09-06  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* data/osso-voip-ui.schemas:
	Add "enable-camera-default" key
	
	* src/common.h:
	Make the "No answer" timeout slightly shorter so it does not
	compete with gabble's
	
	* src/voip-manager.c: (channel_members_changed_cb):
	Map OFFLINE reason to "Unable to contact target" (Fixes: NB#56405)
	
	* src/voip-settings-dialog.c: (dlg_response_cb),
	(voip_settings_dialog_init):
	Add new setting for enabling camera by default (commented out
	for now).
	Only save settings that changed since last time.
	
=== osso-voip-ui 2.0.69 ===
	
2007-09-06  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* data/voip-ui.desktop:
	Use logical strings from osso-uri domain (Fixes: NB#68520)

	* src/voip-dtmf-dialog.c: (voip_dtmf_dialog_key_press),
	(voip_dtmf_dialog_key_release):
	Handle "0" correctly (Fixes: NB#68554)

	* src/voip-manual-dial-dialog.c: (dialog_mapped_cb),
	(voip_md_dialog_init):
	Focus the entry only after the dialog has been mapped
	(Fixes: NB#68170)

	* src/voip-dialpad.c: (button_pressed_cb), (button_released_cb),
	(setup_dtmf_layout), (voip_dialpad_constructor):
	Do not let the button get press, release, enter-notify and
	leave-notify events. Update button state in our pressed and
	released handlers.

=== osso-voip-ui 2.0.68 ===

2007-09-04  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manager.c: (request_video_stream_cb),
	(stream_removed_cb), (resolve_self_account_idle),
	(handle_mc_error), (voip_manager_dispose), (get_members_cb),
	(get_local_pending_cb), (voip_manager_handle_channel),
	(voip_manager_reject_call):
	Reject calls with RemoveMembersWithReason (Fixes: NB#55599).
	Handle tp_chan_new() and tp_conn_new() returning NULL.
	When there's no capabilities iface, assume video capability
	to allow trial and error behavior. Disable camera 
	when a video stream gets removed.

2007-09-04  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manager.c: (context_state_notify_cb),
	(voip_manager_accept_call), (voip_manager_reject_call),
	(voip_manager_terminate_call):
	Remove redundant code

2007-09-03  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-call-context.c: (contacts_changed_cb):
	Avoid clearing blocked flag when updating last-used
	flag of an EContact (Fixes: NB#63367)

=== osso-voip-ui 2.0.67 ===

2007-08-29  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-call-view.c: (setup_summary_pane):
	Use smaller margin within the buttons, so that icons
	don't get cut
	
	* src/voip-window.c: (account_enabled_cb),
	(account_disabled_cb):
	Validate accounts in account-{enabled,disabled} cbs

2007-08-28  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-window.c: (menu_close_cb),
	(request_new_call_by_contact):
	Present the main window before showing the Exit	confirmation note
	(Fixes: NB#52909)
	List contact accounts by OssoABookCaps (which may be static or dynamic)
	instead of static MC flags

2007-08-27  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-call-view.c: (setup_summary_pane),
	(setup_contact_button), (voip_call_view_init):
	Baptize some GtkFrames and GtkButtons to get the desired
	theme applied

2007-08-27  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/common.h:
	* src/voip-call-view.c: (setup_summary_pane):
	Use smaller icons in summary view buttons

=== osso-voip-ui 2.0.66 ===
	
2007-08-24  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-window.c: (run_add_new_contact_dialog),
	(menu_new_contact_cb), (view_contact_activated_cb),
	(view_add_contact_cb), (setup_idle_view):
	Run Add simple contact dialog with arguments signalled by
	the idle view. Adjust 'contact-activated' cb signature.

2007-08-23  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-call-view.c: (redial_button_clicked_cb):
	No need to get and dup the "bound" property; it's not used.
	
	* src/voip-manager.c: (request_streams):
	Use a TP define instead of a hard-coded value

=== osso-voip-ui 2.0.65 ===

2007-08-22  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-window.c: (request_new_call), (request_new_call_uri),
	(voip_window_voip_to):
	Show an error if we fail to parse an address from a URI.
	Don't show an error if the account selector is cancelled.
	Always present the window, so cancelling account selector does
	not leave us running windowless.

2007-08-22  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-account-combo.c: (voip_account_combo_finalize):
	* src/voip-idle-view.c: (voip_idle_view_finalize):
	Chain up finalize methods

	* src/voip-call-context.c: (account_view_got_cb):
	Check EBookStatus the first thing in the cb, just in case

2007-08-22  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-account-combo.c: (add_account_to_store):
	Pass NULL as iter to gtk_list_store_insert_with_values()
	
	* src/voip-manual-dial-dialog.c: (save_data_func),
	(dialog_response_cb), (voip_md_dialog_class_init):
	Hook save_data_func() with gtk_main_quit() rather than exit()
	Short-circuit calling the previously dialed number again

2007-08-22  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manager.c: (request_streams), (list_streams_cb),
	(stream_added_cb), (voip_manager_handle_channel):
	Revise GArray usage

2007-08-21  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-call-view.c: (voip_call_view_init):
	Re-enable ellipsization for the timer label (needed with some
	locales)

=== osso-voip-ui 2.0.64 ===

2007-08-21  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-dialpad.c: (button_left_cb), (button_released_cb),
	(setup_dial_layout), (setup_dtmf_layout):
	Make the dialpad buttons not grab focus on button-press-event.
	In DTMF mode, no longer start/stop the tone on enter/leave notify.
	Moreover, keep the button in lit state for the duration of the
	button press.

	* src/voip-manual-dial-dialog.c: (dialpad_button_clicked_cb),
	(backspace_button_clicked_cb), (voip_md_dialog_init):
	Make the backspace button unfocusable. Support deleting selections.

=== osso-voip-ui 2.0.63 ===

2007-08-20  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manager.c: (stream_added_cb):
	On StreamAdded (video), always assume video capability
	(Fixes: NB#66218)
	
	* src/voip-manual-dial-dialog.c: (save_data_func),
	(n_accounts_changed_cb), (redraw_idle_cb), (size_allocate_cb),
	(voip_md_dialog_init), (voip_md_dialog_finalize),
	(voip_md_dialog_class_init):
	Instead of hiding the dialpad on VKB popped up, adjust the font
	size

=== osso-voip-ui 2.0.62 ===

2007-08-17  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* configure.in:
	* debian/control:
	* debian/rules:
	* src/Makefile.am:
	Depend on and make use of the new maemo-launcher-dev
	(Fixes: NB#65933)

2007-08-16  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manager.c: (voip_manager_handle_channel):
	Connect to CapabilitiesChanged signal on the correct interface

=== osso-voip-ui 2.0.61 ===

2007-08-16  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-window.c: (account_enabled_cb), (account_disabled_cb),
	(update_menu_sensitivity):
	Update the sensitivity of the "Create new contact" item depending
	on the number of valid accounts

2007-08-16  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-window.c: (menu_new_contact_cb), (populate_main_menu):
	Enable the "Create new contact" feature (Fixes: NB#59450)

=== osso-voip-ui 2.0.60 ===

2007-08-15  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-dtmf-dialog.c: (context_state_notify_cb),
	(voip_dtmf_dialog_destroy), (voip_dtmf_dialog_set_manager),
	(voip_dtmf_dialog_set_context):
	* src/voip-dtmf-dialog.h:
	Add voip_dtmf_dialog_set_context() for call state tracking
	
	* src/voip-window.c: (key_press_event_cb), (menu_dtmf_cb):
	Set call context on the DTMF dialog using the above API

=== osso-voip-ui 2.0.59 ===

2007-08-14  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manual-dial-dialog.c: (n_accounts_changed_cb),
	(size_allocate_cb), (voip_md_dialog_init):
	Let the GtkComboBoxEntry expand when the account combo
	is not there.
	Hide the dialpad while the VKB is shown (Fixes: NB#55149)

=== osso-voip-ui 2.0.58 ===

2007-08-10  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manager.c:
	Some cleaning up

	* src/voip-incoming-call-dialog.c: (voip_ic_dialog_init):
	* src/voip-ongoing-call-dialog.c: (voip_oc_dialog_init):
	Update layouts

	* src/voip-dialpad.[ch]:
	* src/voip-dtmf-dialog.c: (voip_dtmf_dialog_init):
	* src/voip-manual-dial-dialog.c: (voip_md_dialog_init):
	Use different dialpad layouts for the two dialogs

2007-08-09  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-window.c: (menu_get_in_contact_cb), (view_action_cb):
	Whenever possible, run the contact starter with the all-contacts
	book view

=== osso-voip-ui 2.0.57 ===

2007-08-09  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-recent-model.c: (voip_recent_model_finalize),
	(voip_recent_model_save_internal), (check_remove_existing_entry),
	(voip_recent_model_add):
	Handle empty UIDs properly
	
	* src/voip-call-context.c: (get_account_view_async),
	(voip_call_context_set_account):
	Avoid calling get_account_view_async() twice with outgoing calls

	* src/voip-call-view.c:
	Fix capabilities handling with incoming calls.
	Use the new set_{preview,output}_window API

	* src/voip-idle-view.c:
	Use the new set_preview_window() API

	* src/voip-manager.[ch]:
	Make voip_manager_set_{preview,output}_window() take
	VoipVideoWidget instead of an xid.

2007-08-08  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-call-view.c: (context_caps_changed_cb):
	Stop preview if there's no video capability

	* src/voip-idle-view.c: (view_visibility_notify_cb),
	(view_mapped_cb), (manager_camera_notify_cb),
	(voip_idle_view_init):
	Remove the preview window when the idle view is hidden
	
	* src/voip-manager.c: (voip_manager_set_preview_window):
	When supplied xid is 0, remove any existing preview window.
	Keep xid internally but require camera-enabled property to be
	set to actually start the preview

	* src/voip-manager.c: (handle_stream_engine_exit):
	Reset state flags on SE exit
	
	* src/voip-window.c: (recent_entry_deleted_cb):
	Use gtk_container_get_children() instead of poking
	GtkMenuShell's children variable directly
	(possibly Fixes: NB#65088)

2007-08-06  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-invitation-window.c:
	* src/voip-invitation-window.h:
	Remove as unneeded

	* src/common.h:
	* src/voip-call-context.c: (voip_call_context_get_property),
	(voip_call_context_set_property), (voip_call_context_class_init),
	(voip_call_context_add_caps), (voip_call_context_remove_caps),
	(voip_call_context_get_caps):
	* src/voip-call-context.h:
	* src/voip-call-view.c: (context_caps_changed_cb),
	(manager_new_context_cb), (view_visibility_notify_cb),
	(morph_summary_view), (set_local_preview),
	(update_remote_video_status), (camera_button_insensitive_cb),
	(voip_call_view_init):
	* src/voip-manager.c: (set_remote_video_status),
	(request_video_stream_cb), (list_streams_cb), (request_streams_cb),
	(dispose_channel_object), (hal_cam_act_cb), (voip_manager_init),
	(inspect_handles_cb), (get_capabilities_cb), (get_members_cb),
	(connection_caps_changed_cb), (voip_manager_handle_channel),
	(voip_manager_set_output_window), (voip_manager_start_dtmf),
	(voip_manager_stop_dtmf):
	* src/voip-manager.h:
	Disallow enabling camera when the remote peer has no video
	capability

	* src/voip-window.c: (context_state_notify_cb),
	(voip_window_voip_to):
	Present the window if a dialog is open (Fixes: NB#65084)

=== osso-voip-ui 2.0.56 ===

2007-08-03  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/main.c: (osso_hw_state_cb):
	Replace exit () with gtk_main_quit (Fixes: NB#64925)

=== osso-voip-ui 2.0.55 ===
	
2007-08-02  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-window.c: (contact_got_cb):
	Fix a NULL pointer dereference

=== osso-voip-ui 2.0.54 ===

2007-08-02  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-call-view.c: (disconnect_context_handlers),
	(manager_new_context_cb), (set_call_state),
	(voip_call_view_finalize):
	Destroy context when the call summary is cleared

2007-07-30  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-call-view.c: (set_local_preview), (voip_call_view_init):
	Swap camera button icons (Fixes: NB#63146).
	Hide camera button in the summary view.

2007-07-30  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-window.c: (setup_idle_view_idle), (setup_ebook_idle),
	(voip_window_init), (voip_window_destroy),
	(context_destroy_notify), (request_new_call_by_contact_idle),
	(contact_got_cb):
	Remove idle functions in destroy()

	* src/voip-window.c: (view_got_cb), (book_opened_cb),
	(voip_window_handle_hw_event), (contact_got_cb):
	Do nothing when priv->destroy_run is TRUE

2007-07-27  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/main.c: (osso_rpc_cb):
	* src/voip-call-context.c: (voip_call_context_get_property),
	(voip_call_context_set_property), (voip_call_context_class_init):
	* src/voip-manager.c: (voip_manager_init),
	(voip_manager_request_new_call), (voip_manager_handle_channel):
	* src/voip-recent-model.c: (voip_recent_model_init),
	(presence_status_changed_cb), (voip_recent_model_load_internal),
	(voip_recent_model_add):
	* src/voip-window.c: (manager_incoming_call_cb):
	Clean up

=== osso-voip-ui 2.0.53 ===
	
2007-07-27  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* data/voip-ui.desktop:
	Use the common voip_to handler for sip: URIs
	
	* src/main.c: (osso_rpc_cb):
	Remove the remaining instant video cruft
	
	* src/voip-utilities.c: (voip_utils_parse_uri):
	Assume X-SIP vcard field with URIs prefixed with "sip:"

=== osso-voip-ui 2.0.52 ===

2007-07-25  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-call-view.c:
	* src/voip-window.c:
	Use unsigned int instead of gboolean as bitfields

2007-07-24  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manager.c: (set_remote_video_status):
	Throttle g_object_set()'s. Ensure remote video unsupported
	is only signalled if camera is out (Fixes: NB#64022)

=== osso-voip-ui 2.0.51 ===

2007-07-24  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/common.h:
	* src/voip-window.c: (key_press_event_cb),
	(run_add_to_contacts_dialog), (menu_help_cb),
	(menu_manual_dial_cb), (menu_dtmf_cb):
	Update help keys

2007-07-23  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-call-context.c: (get_account_view_async):
	Make address book queries "sip:" insensitive

=== osso-voip-ui 2.0.50 ===
	
2007-07-18  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-call-view.c: (set_call_state):
	Eliminate a side effect of an earlier fix to NB#62762:
	Call status indicator appeared empty on redial

=== osso-voip-ui 2.0.49 ===

2007-07-17  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/common.h:
	Use correct size (128px) for the default avatar icon
	
	* src/voip-avatar-image.c: (draw_rectangle):
	Use GDK_INTERP_BILINEAR for scaling
	
	* src/voip-incoming-call-dialog.c: (voip_ic_dialog_init):
	Update layout
	
	* src/voip-manager.c: (voip_manager_dispose),
	(voip_manager_class_init):
	Unref objects in dispose rather than finalize
	
	* src/voip-ongoing-call-dialog.c: (context_contact_notify_cb),
	(unlock_cb), (voip_oc_dialog_init):
	Update layout
	
	* src/voip-window.c: (ongoing_call_response_cb),
	(voip_window_destroy):
	Do not let hildon_window_destroy() be run twice (triggers
	a crash, possibly because of some leak here)

=== osso-voip-ui 2.0.48 ===

2007-07-16  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/main.c: (main):
	Disconnect libosso callbacks before destroying the main window
	(Fixes: NB#63305)

=== osso-voip-ui 2.0.47 ===

2007-07-16  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-incoming-call-dialog.c: (context_state_notify_cb),
	(accept_cb), (reject_cb):
	Emit different response when call starts without user activity
	on the dialog (Fixes: NB#62381)

	* src/voip-window.c: (incoming_call_response_cb),
	(run_add_to_contacts_dialog):
	Handle the close response properly.
	Start the book view before running add to contacts dialog
	(Fixes: NB#62497, NB#62607)

	* src/voip-settings-dialog.c: (voip_settings_dialog_init):
	Do not set default action (Fixes: NB#62361)

	* src/voip-call-view.c: (set_call_state):
	Show the summary view (also ending possible camera preview) after
	the call has been closed (Fixes: NB#62762)
	
	* All files:
	Update copyright headers

2007-06-28  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manager.c: (process_pending_stream_by_data),
	(request_streams), (stream_removed_cb), (request_streams_cb),
	(dispose_channel_object), (set_camera_enabled),
	(voip_manager_init), (channel_members_changed_cb),
	(get_local_pending_cb), (voip_manager_request_new_call),
	(voip_manager_handle_channel):
	Some clean-up

=== osso-voip-ui 2.0.46 ===
	
2007-06-28  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-call-context.c: (account_view_got_cb):
	Don't leak the EBookView when user data is invalid

=== osso-voip-ui 2.0.45 ===

2007-06-28  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/main.c: (main):
	Call g_thread_init () to quiet some bogus(?) warnings
	
	* src/voip-call-context.c:
	Make account_view_got_cb() not crash when its user data
	has been destroyed in the meantime (the EBook API does not
	allow cancelling the call) (Fixes: NB#61941)
	
	* src/voip-utilities.c:
	* src/voip-utilities.h:
	Remove unused EBook helper functions

=== osso-voip-ui 2.0.44 ===

2007-06-27  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-call-context.c:
	* src/voip-call-view.c:
	* src/voip-marshal.list:
	* src/voip-window.c:
	Hide or show the "Add to contacts" button on demand
	(Fixes: NB#56404).
	
	Adjust video window positions and sizes.

=== osso-voip-ui 2.0.43 ===

2007-06-26  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/common.h:
	Add new defines; Update the default avatar icon
	
	* src/voip-settings-dialog.c:
	Make "Launch when camera out" setting dependent on the HW
	(Fixes: NB#56100)
	
	* src/voip-utilities.[ch]:
	Remove unused function: voip_utils_block_by_user_name()

2007-06-26  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/common.h:
	Use the correct default avatar icon

2007-06-21  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* configure.in:
	* src/Makefile.am:
	* src/voip-invitation-window.c: (voip_invitation_window_init):
	* src/voip-request-auth-dialog.c:
	* src/voip-request-auth-dialog.h:
	* src/voip-window.c: (book_opened_cb), (populate_main_menu),
	(voip_window_voip_to), (voip_window_contact):
	* src/voip-window.h:
	Remove instant video related code

2007-06-20  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* data/voip-ui.desktop:
	Replace deprecated videovoip: scheme with sip:
	NB! this will need to be handled separately in application code,
	so we don't offer google talk accounts to be used with SIP URIs

=== osso-voip-ui 2.0.42 ===

2007-06-18  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-call-context.c: (get_account_view_async),
	(voip_call_context_set_account):
	Get the account book view here (if still needed), as we may not know
	the vcard field before the account is set.

2007-06-18  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-window.c: (play_finished_sound_idle),
	(ongoing_call_response_cb), (menu_close_cb),
	(context_state_notify_cb), (voip_window_voip_to):
	Play the call finished sound a bit delayedly, and avoid
	playing it twice when the call disconnects in device lock mode.
	
	On a URI handling request, gtk_window_present() the main window
	even if the URI cannot be handled.
	
2007-06-18  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-call-view.c: (set_local_preview):
	* src/voip-idle-view.c: (view_mapped_cb), (voip_idle_view_init):
	Avoid trying to set preview window XIDs twice

2007-06-18  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-call-context.c:
	* src/voip-call-context.h:
	* src/voip-manager.c:
	* src/voip-manager.h:
	* src/voip-window.c:
	Move E-D-S related code from VoipManager to VoipCallContext
	(Fixes: NB#60877)
	
2007-06-18  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-call-view.c: (timer_size_allocate_cb)
	Avoid recursion

	* src/voip-manager.c:
	* src/voip-manager.h:
	Remove unneeded getters: get_{mute,mic_mute}
	Make some manager flags private

	* src/voip-window.c: (context_state_notify_cb):
	Check manager flags instead of calling the above getters

=== osso-voip-ui 2.0.41 ===

2007-06-15  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manager.c: (set_output_window),
	(process_pending_stream_by_data), (set_remote_video_status),
	(request_video_stream_cb), (list_streams_cb), (stream_removed_cb),
	(request_streams_cb), (stream_engine_receiving_cb),
	(stream_state_changed_cb), (dispose_channel_object),
	(set_camera_enabled), (hal_cam_act_cb),
	(handle_stream_engine_exit), (voip_manager_dispose),
	(voip_manager_init), (voip_manager_get_property),
	(context_state_notify_cb), (voip_manager_handle_channel),
	(voip_manager_set_mute), (voip_manager_set_mic_mute),
	(voip_manager_set_volume), (voip_manager_get_mic_mute),
	(voip_manager_get_mute), (voip_manager_recalculate_directionality),
	(voip_manager_get_flags):
	* src/voip-manager.h:
	Make manager state/property boolean variables bitflags.
	Add a method to query them from outside.
	Do not pretend that cameras without "cam-act" property are "out"

	* src/voip-call-view.c: (morph_summary_view), (set_local_preview):
	Pay attention to the "camera-poppable" flag

=== osso-voip-ui 2.0.40 ===

2007-06-15  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* configure.in:
	* debian/control:
	Depend on hildon-help rather than osso-help

	* src/voip-marshal.list:
	* src/voip-call-view.c: (contact_button_clicked_cb),
	(add_button_clicked_cb), (voip_call_view_class_init):
	Make the "action" signal handlers return a boolean value
	(success/failure)
	
	* src/voip-manager.c: (sequence_complete_cb),
	(account_view_got_cb), (voip_manager_finalize),
	(voip_manager_request_new_call):
	* src/voip-request-auth-dialog.c: (voip_request_auth_dialog_init):
	* src/voip-window.c: (run_details_dlg),
	(run_add_to_contacts_dialog), (menu_help_cb), (menu_settings_cb),
	(view_action_cb), (populate_main_menu),	(request_new_call_by_contact):
	Hildon-help related updates. Enabled keyboard shortcuts.

	* src/common.h:
	* src/voip-window.c: (manager_incoming_call_cb):
	Remove help from the IC dialog and make it "keep-above" always
	(Fixes: NB#53330)

	* src/voip-avatar-image.c: (draw_rectangle):
	Limit maximum zoom_factor to 4x

2007-06-12  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-call-view.c: (manager_camera_out_notify_cb):
	Dim the camera button on camera-out event (Fixes: NB#60346)

2007-06-11  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/main.c:
	* src/voip-bluez-utilities.c:
	* src/voip-incoming-call-dialog.c:
	Finishing touches for bluez utils

2007-06-08  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/Makefile.am:
	* src/voip-bluez-utilities.[ch]:
	Add new files

2007-06-08  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* configure.in:
	* src/Makefile.am:
	* src/common.h:
	Get accounts plugin name from osso-accounts-settings

2007-06-07  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manager.c: (get_local_pending_cb),
	(voip_manager_accept_call):
	Emit "new-context" signal earlier to ensure we show a summary
	for calls that disconnect while trying to accept them

2007-06-07  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-call-view.c: (manager_new_context_cb):
	Update remote video status from the given context
	
	* src/voip-window.c: (pause_blanking_timeout),
	(start_blanking_pausing), (is_topmost_notify_cb):
	Revise is-topmost logic, which was a bit fuzzy (although correct)
	after can_hibernate got renamed as is_topmost. Add debug.

2007-06-06  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manager.c: (voip_manager_recalculate_directionality):
	Use camera_enabled instead of camera_out (Fixes: NB#59775)
	
	* src/voip-window.c: (update_menu_sensitivity):
	Dim the "New" on redial (Fixes: NB#59769)
	
2007-06-05  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-window.c: (populate_main_menu):
	Disable "Start" menu item by default.

2007-06-04  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-window.c: (setup_idle_view):
	Use a different icon for the dialpad button

2007-05-31  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manager.c: (voip_manager_dispose),
	(voip_manager_finalize):
	Call libhal_ctx_shutdown() in finalize rather than dispose()
	
	* src/voip-window.c: (menu_get_in_contact_cb),
	(update_menu_sensitivity), (view_empty_cb),
	(context_contact_notify_cb), (view_selection_changed_cb),
	(setup_idle_view):
	Make Start menu item work in idle view (Fixes: NB#59062)

2007-05-31  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manager.c: (emit_call_state_changed),
	(shutdown_stream_engine), (stream_data_new_from_array),
	(handle_stream_engine_exit), (voip_manager_dispose),
	(voip_manager_finalize), (voip_manager_init),
	(context_state_notify_cb), (voip_manager_handle_channel):
	Get DBusConnections once in init(), unref in finalize.
	Delete unused camera notification code.

2007-05-30  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* configure.in:
	* debian/control:
	* src/common.h:
	* src/voip-call-view.c: (manager_camera_out_notify_cb),
	(account_changed_cb), (morph_summary_view), (set_local_preview),
	(camera_button_insensitive_cb), (voip_call_view_init):
	* src/voip-manager.c: (hal_cam_act_cb), (voip_manager_dispose),
	(voip_manager_init):
	Use libhal to list v4l2 capture devices and to be notified on
	their properties

	* src/voip-window.c: (account_enabled_cb):
	Don't enable dialpad during a call

2007-05-30  Onne Gorter  <onne.gorter@nokia.com>

	* debian/control:
	* src/voip-manager.c: (voip_manager_request_new_call):
	use new request connection API that also passes vcard field to enable TEL
	an other calling, requires latest libmission control

2007-05-30  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-dialpad.c: (voip_dialpad_init):
	* src/voip-manual-dial-dialog.c: (voip_md_dialog_init):
	* src/voip-manual-dial-dialog.h:
	Fix layout when there's no dialpad

2007-05-29  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-call-view.c: (build_contact_button):
	Enable ellipsization

	* src/voip-incoming-call-dialog.c:
	Remove an extra '<'

	* src/voip-manual-dial-dialog.c:
	Align combo boxes properly

	* src/voip-window.c:
	Properly handle URIs with both contact id and account name

2007-05-28  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manual-dial-dialog.c: (voip_md_dialog_init):
	Unset the GtkEntry autocap flag keeping other flags untouched

2007-05-24  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manager.c: (dbus_filter_func):
	* src/voip-mce-utilities.c: (initialize_buses),
	(define_devlock_state), (signal_filter_func),
	(set_devlock_mode_change_signal_handler),
	(voip_mce_utils_get_devlock_state),
	(voip_mce_utils_set_devlock_cb), (voip_mce_utils_unset_devlock_cb),
	(voip_mce_utils_clean_up),
	(voip_mce_utils_start_headset_btn_listening),
	(voip_mce_utils_stop_headset_btn_listening),
	(voip_mce_utils_send_mce_method):
	* src/voip-mce-utilities.h:
	Re-use the same DBusConnection instead of asking it anew, so we don't
	reopen a disconnected connection and try to remove matches from it in
	clean-up.

2007-05-23  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-call-view.c: (redial_button_clicked_cb):
	Copy user-name, vcard-field and bound before passing
	them to manager (Fixes: NB#58218)

	* src/voip-manager.c: (dbus_filter_func),
	(voip_manager_request_new_call):
	* src/voip-mce-utilities.c: (voip_mce_utils_invalidate_matches):
	* src/voip-mce-utilities.h:
	Avoid removing matches from a disconnected DBusConnection

2007-05-22  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-window.c: (resolve_local_accounts_by_vcard_field):
	List accounts also by the secondary vcard field

2007-05-22  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manual-dial-dialog.c: (entry_changed_cb),
	(voip_md_dialog_init):
	Use "changed" signal instead of "insert-text" and "delete-text"
	to set backspace/OK sensitivity

2007-05-21  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-window.c: (book_opened_cb), (video_voip_to_idle):
	When started with an empty voipto: URI, show the idle view.

2007-05-21  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-call-view.c: (morph_summary_view),
	(update_remote_video_status), (set_local_preview),
	(voip_call_view_set_manager):
	Get "camera-out" from manager initially.
	Remove preview from SE when displaying the call summary

2007-05-18  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-window.c: (account_enabled_cb), (account_disabled_cb),
	(run_ongoing_call_dialog), (recent_entry_inserted_cb),
	(update_menu_sensitivity), (view_empty_cb),
	(context_state_notify_cb), (view_context_notify_cb),
	(manager_incoming_call_cb), (new_call_insensitive_cb),
	(populate_main_menu), (voip_window_init), (voip_window_destroy),
	(voip_window_handle_hw_event):
	Fixes to sensitivity of menu items

2007-05-16  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-call-view.c: (manager_camera_out_notify_cb),
	(morph_summary_view):
	* src/voip-manager.c: (set_camera_enabled):
	* src/voip-window.c: (context_remote_video_notify_cb):
	Fix all things that got broken in the previous change...

2007-05-16  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manager.c:
	Add camera-enabled and camera-out properties

	* src/voip-call-view.c:
        Listen to notify::camera-out and notify::camera-enabled.
	Add "Not authorized" status.
	Make the camera button functional.

	* src/voip-idle-view.c:
	Listen to notify::camera-out signal

	* src/voip-window.c:
	Insensitive-press infobanner fixes.
	Add manual contacts flag for the RtcomIdleView.

2007-05-14  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-dtmf-dialog.c: (voip_dtmf_dialog_focus_out),
	(voip_dtmf_dialog_class_init):
	Stop DTMF on focus-out-event

2007-05-11  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* configure.in:
	Remove dependency on osso-contact-plugin

	* src/voip-manager.c: (channel_closed_cb):
	No longer add missed call notifications, let Mission Control
	take care of them instead

2007-05-10  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manager.c: (contacts_added_cb):
	Prioritize visible contacts over manual ones

2007-05-10  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manager.c: (sequence_complete_cb),
	(account_view_got_cb), (manager_incoming_call_cb__phase2):
	If no contact was found after sequence-complete, always add a manual
	contact

	* src/voip-window.c: (update_recent_model),
	(context_contact_notify_cb):
	If EContact is manual, keep Add to contacts undimmed

2007-05-10  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-idle-view.c: (manager_cam_status_changed_cb):
	Remove "Starting camera" string as it's been removed from specs.

2007-05-10  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manager.c: (stream_removed_cb):
	If removed stream was video, hide the video window

2007-05-09  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-call-view.c:
	React properly to "notify::remote-video-status". Disable
	ellipsization from the timer label because that breaks xalign in
	GtkLabel

	* src/voip-idle-view.c: (voip_idle_view_init):
	* src/voip-video-window.c: (voip_video_window_size_allocate):
	* src/voip-window.c: (context_remote_video_notify_cb):
	Adjust debug prints

	* src/voip-manager.c: (update_remote_video_status),
	(request_video_stream_cb), (list_streams_cb), (request_streams_cb),
	(stream_engine_receiving_cb), (stream_direction_changed_cb):
	Rename emit_remote_video_status as set_remote_video_status, as it's
	no longer a manager signal

2007-05-09  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manager.c: (channel_closed_cb),
	(channel_members_changed_cb):
	Improve error handling

	* src/voip-window.c: (show_error):
	Enable "Number busy" infoprint

2007-05-09  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/common.h:
	* src/voip-manager.c: (voip_manager_handle_channel):
	* src/voip-window.c: (manager_error_cb):
	Make the UI quietly shut down if its channel handler is called
	with a channel that no longer exists, and if the main window is
	not yet visible.

2007-05-09  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-window.c: (menu_close_cb):
	Do not allow closing the application when there's a dialog open
	(Fixes: NB#56361)

2007-05-09  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-call-view.c: (context_state_notify_cb),
	(context_remote_video_notify_cb):
	* src/voip-manager.c: (context_state_notify_cb):
	Adjusted debug prints
	
	* src/voip-window.c: (update_recent_model), (update_sensitivity),
	(context_state_notify_cb):
	Use correct context when adding recent entries

2007-05-08  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-call-context.[ch]:
	Separate call data from VoipManager into VoipCallContext. Also, adapt
	all widgets to this change.

2007-05-04  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manual-dial-dialog.c: (save_data_func):
	Avoid saving empty strings and crashing GConfClient

	* src/voip-window.c: (setup_idle_view):
	Use the specfied icon for the Dialpad button

2007-05-03  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-window.c: (run_details_dlg):
	Show McAccount's display name in "Account" field (Fixes: NB#55806)

2007-05-02  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-call-view.c: (redial_button_clicked_cb),
	(build_summary_pane), (update_data), (voip_call_view_init),
	(voip_call_view_finalize):
	Store redialing data here, so we always call out to the same contact
	whose details the summary view is displaying.
	
	* src/common.h:	
	* src/voip-manager.c: (handle_mc_error),
	(channel_members_changed_cb):
	Add handling for disconnection reasons rejected, busy and invalid address
	
	* src/voip-manager.h:
	Remove voip_manager_redial()

2007-05-02  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-ongoing-call-dialog.c: (voip_oc_dialog_init),
	(voip_oc_dialog_set_manager):
	Remove presence and service icons from the dialog

	* src/common.h:
	Add a new gconf key for storing the name of the account that was last
	used for manual dial

	* src/voip-account-combo.h:
	* src/voip-account-combo.c: (voip_account_combo_activate_account):
	Add a method for activating account based on its unique name

	* src/voip-manual-dial-dialog.c: (save_data_func),
	(dialog_response_cb), (voip_md_dialog_init),
	(voip_md_dialog_class_init):
	Remember the last used account

2007-04-30  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-dtmf-dialog.c: (voip_dtmf_dialog_key_press),
	(voip_dtmf_dialog_key_release), (voip_dtmf_dialog_destroy):
	Chain up signal handlers (Fixes: NB#55395)

	* src/voip-call-view.c: (voip_call_view_key_press_event),
	(voip_call_view_key_release_event), (voip_call_view_class_init):
	Chain up key press / key release handlers

2007-04-24  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-call-view.c: (morph_summary_view):
	Replace local preview with avatar in summary view

	* src/voip-manager.c: (emit_remote_video_status):
	Base video availability on "receiving" signal rather than directionality (oops)

2007-04-23  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-window.c: (manager_vcard_updated_cb):
	Even if vcard is updated, do not update the window title in summary view

2007-04-23  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-window.c: (update_sensitivity),
	(manager_vcard_updated_cb), (manager_state_changed_cb),
	(voip_window_init): Set window title properly

2007-04-19  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manager.c: (stream_removed_cb),
	(stream_engine_receiving_cb), (got_pending_cb):
	Fix the previous fix - make it compile without "receiving_audio"
	variable

2007-04-19  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manager.c: (stream_removed_cb),
	(stream_engine_receiving_cb), (stream_state_changed_cb),
	(dispose_channel_object), (channel_members_changed_cb),
	(voip_manager_handle_channel), (voip_manager_get_caps):
	Start call timer on MembersChanged + StreamStateChanged (Connected)
	rather than MembersChanged + Receiving

	* src/voip-ringtones.c: (voip_ringtones_play),
	(voip_ringtones_play_default),
	(voip_ringtones_play_connecting_tone), (voip_ringtones_stop):
	Adjust debug messages

2007-04-18  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-incoming-call-dialog.c: (voip_ic_dialog_init):
	Use hildon_helper_set_insensitive_message() for insensitive banner
	* src/voip-manual-dial-dialog.c: (voip_md_dialog_init):
	No longer set the "autocap" property

2007-04-18  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/common.h: Add VoipCaps enumeration
	* src/voip-avatar.c: (voip_avatar_set_account): Add debug
	* src/voip-manager.c: (voip_manager_get_caps):
	* src/voip-manager.h: Add a new function
	* src/voip-window.c: (key_press_event_cb), (dtmf_insensitive_cb),
	(update_sensitivity), (manager_state_changed_cb),
	(populate_main_menu), (voip_window_init): Set "Add to contacts" and "DTMF
	dialpad" items' sensitivity properly

2007-04-17  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-call-view.c: (build_summary_pane):
	Use proper logical strings for "Redial" and "Add to contacts"

2007-04-17  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-window.c: (menu_dtmf_cb):
	Set manager for the DTMF dialog also when it's opened through the menu

2007-04-17  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Applied Hildon consolidation patch

2007-04-17  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-account-combo.c: (voip_account_combo_get_n_accounts):
	Fix a compiler warning
	* src/voip-call-view.c: (build_contact_button):
	Add missing parenthesis
	* src/voip-dialpad.c: (button_entered_cb), (button_left_cb):
	* src/voip-dtmf-dialog.c: (voip_dtmf_dialog_destroy):
	Fix a compiler warning
	* src/voip-incoming-call-dialog.c: (voip_ic_dialog_set_manager):
	A formatting fix

2007-04-16  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-call-view.c: (build_contact_button):
	Disable upscaling for the smaller avatar image

2007-04-13  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-dtmf-dialog.c: (manager_state_changed_cb):
	Close the DTMF dialog when the call ends

2007-04-13  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-manager.c: (voip_manager_start_dtmf),
	(voip_manager_stop_dtmf):
	* src/voip-manager.h: Added methods for starting and stopping
	DTMF tones

	* src/voip-dtmf-dialog.c: (manager_state_changed_cb),
	(start_dtmf_cb), (end_dtmf_cb), (voip_dtmf_dialog_init),
	(keyval_to_digit), (digit_to_string), (voip_dtmf_dialog_key_press),
	(voip_dtmf_dialog_key_release), (voip_dtmf_dialog_destroy),
	(voip_dtmf_dialog_class_init), (voip_dtmf_dialog_set_manager),
	(voip_dtmf_dialog_add_digit):
	* src/voip-dtmf-dialog.h: Hook up with the manager
	
	* src/voip-incoming-call-dialog.c: (mute_insensitive_cb),
	(key_pressed_cb): Minor clean-up
	
	* src/voip-window.c: (key_press_event_cb): Make the DTMF dialpad transient
	for VoipWindow rather than VoipWindowPrivate...

2007-04-12  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-account-combo.c: (add_account_to_store),
	(account_enabled_cb), (account_disabled_cb),
	(voip_account_combo_init), (voip_account_combo_finalize),
	(voip_account_combo_class_init),
	(voip_account_combo_get_n_accounts): React to account-enabled/account-disabled
	signals; Add voip_account_combo_get_n_accounts ();
	* src/voip-account-combo.h: ^
	* src/voip-call-view.c: (morph_summary_view),
	(voip_call_view_init), (voip_call_view_set_fullscreen_mode): Display local avatar
	in summary view; Do not hide the small avatar when the larger one is visible
	* src/voip-manual-dial-dialog.c: (dialog_response_cb),
	(n_accounts_changed_cb), (voip_md_dialog_init),
	(voip_md_dialog_class_init): Close the dialog when there are no accounts;
	Only display the AccountCombo widget when the are two or more accounts
	* src/voip-window.c: (run_details_dlg): Display "Account" field

2007-04-05  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-avatar-image.c: (draw_rectangle),
	(voip_avatar_image_init), (voip_avatar_image_set_upscaling):
	* src/voip-avatar-image.h:
	Rename voip_avatar_image_set_scaling() as _set_upscaling()

	* src/voip-incoming-call-dialog.c: (voip_ic_dialog_init):
	* src/voip-ongoing-call-dialog.c: (voip_oc_dialog_init):
	Disable upscaling of avatars
	
	* src/voip-call-view.c: (update_elapsed_time_cb),
	(voip_call_view_init):
	A minor clean-up
	
2007-04-05  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-ongoing-call-dialog.c: (voip_oc_dialog_init):
	No longer call osso_gtk_button_set_detail_from_attach_flags()

2007-04-04  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* src/voip-call-view.c: (voip_call_view_init):
	  Do not set the GTK_CAN_FOCUS flag

2007-04-04  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Consider (pressed down) Esc key as released when toplevel loses focus
	  (Fixes: NB#53803)

2007-04-03  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Focus main button after redialing

2007-04-03  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Add VoipAccountCombo widget

2007-04-02  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Set a model for the GtkComboBoxEntry in the manual dial dialog

2007-04-02  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Rename VoipAvatar as VoipAvatarImage
	* Introduce VoipAvatar convenience wrapper

2007-03-30  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Use OssoABookContactAvatar for now
	* Update incoming call dialog layout

2007-03-29  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Rename data-updated as vcard-updated, and emit it more sparingly now
	* Use OssoABookAvatar for remote avatars

2007-03-28  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Make backspace button work in manual dial dialog
	* Fix notification of missed calls

2007-03-26  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Update DTMF dialpad layout
	* Launch DTMF dialpad when one of {1-9,*,#} is pressed
	* Hook up the 'contact' button with the contact starter dialog

2007-03-23  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Add OssoABookAccountCombo to manual dial dialog
	* Hoop up the dialog, so one can start calls from it

2007-03-23  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Properly fix manual dial menu item sensitivity

2007-03-23  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Add insensitive infoprints for manual dial and dtmf menu items
	* Ensure proper sensitivity for the said items
	* Fix manual dial dialog alignment

2007-03-22  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Make use of rtcom_idle_view_set_secondary_button()

2007-03-22  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Add new contact button in tools menu

2007-03-22  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* s/gtk_widget_new/g_object_new/
	* Updated manual dial dialog (work-in-progress)

2007-03-22  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Make VoipDtmfDialog listen to start-dtmf and end-dtmf
	  signals

2007-03-22  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Make VoipDialpad emit start-dtmf/end-dtmf/clicked signals

2007-03-22  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Add VoipDialpad which is a table of buttons and a bunch
	  of signals to be shared by two dialogs

2007-03-21  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Correct button heights
	* Correct summary view layout
	* Disconnect "destroyed" signal handler from connection proxy
	  before unreffing it

2007-03-21  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Layout pixel-perfection

2007-03-21  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Ensure the video call view is in a sane state when redialing
	  from the summary view

2007-03-20  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Prioritize contact photo over account avatars
	* Disable background image
	* Revise call view and DTMF dialpad layouts

2007-03-19  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* No longer update the local avatar in summary view

2007-03-16  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Fixed a typo that made us reject all incoming calls

2007-03-16  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Get the MC proxy from OssoABookProgram rather than instantiate
	  our own

2007-03-16  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Start using HildonProgram, as Hildon Consolidation hides
	  hildon_window_set_can_hibernate_property() from us

2007-03-14  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Tentatively add the dialpad button in the idle view
	
2007-03-14  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* s/VoipCallManager/VoipManager

2007-03-13  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Commit contacts whose last-used flag we've updated
	* Set bookview to recent group so it actually fills up

2007-03-13  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Moved RtcomIdleView to libosso-rtcom

2007-03-13  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Split VoipIdleView into RtcomIdleView and VoipIdleView

2007-03-12  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Use g_object_unref instead of deprecated mc_{account,profile}_free

2007-03-12  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Left-align the small avatar

2007-03-09  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Derive VoipAvatar from GtkWidget rather than GtkDrawingArea, as it's
	  now defined as GTK_NO_WINDOW

2007-03-09  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Use OssoABookSearchEntry in the idle view

2007-03-08  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Migrate to gtk+ 2.10

2007-03-08  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Various clean-ups
	* Make VoipAvatar GTK_NO_WINDOW, so it draws on parent's window and
          does not leave ugly white patches on themed backgrounds
	* Add a "MANUAL" contact entry for buddies that aren't in the address book

2007-03-07  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Show proper presence and status message in the call view

2007-03-07  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Updated call view layout (roughly based on Call handling
          design brief - will need lots of work still)
	* Added cache for icons that are used in several places
        * Set bound when blocking a contact who's not in abook

2007-03-02  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Display user's own avatar in audio call view

2007-03-02  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Updates for latest OssoABookTreeView

2007-03-01  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Make the call view monitor account changes, so that it can update
	  the avatar
	* Pack OssoABookAvatarView in a GtkScrolledWindow since it no longer
          derives from one

2007-02-27  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Updated avatar-fetching logic (account avatar, image, default photo)
	* Add online group to idle view

2007-02-27  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* s/RECIEVE/RECEIVE as the typo seems to have been silently fixed
          in libtp now

2007-02-26  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Removed workaround for NB#47070, as the fix has now landed
          in libtelepathy
	* Use g_slice_new0 and g_slice_free instead of g_new0 and g_free
	* Miscellanous clean-ups

2007-02-23  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Do not display an error if account selector is cancelled
	* use GObject constructor for constructing the idle view, so
	  we have the construction properties available.

2007-02-22  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Make sure we don't display empty window in case we are asked to
          start a call with a bogus contact.

2007-02-21  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Do not display the main window behind the incoming call dialog
	* Tweaked avatar sizes and avatar loading from address book

2007-02-20  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Construct the idle view in a high priority idle function, so that
          it's run before any redraws but still after the D-Bus message handler

2007-02-20  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Do not display the idle view when started through the URI handler
	* When available, use the normalized name of an McAccount (rather than
          the "account" parameter)

2007-02-19  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Small cleanups to VoipWindow (comments, style)
	* Avoid some code duplication in ICD/OCD dialogs

2007-02-14  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Don't display groups that do not support voice
	* Display empty widget when no accounts have been set up

2007-02-14  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Add manual dial and DTMF dialpad menu items

2007-02-14  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* In call view, display name on one line only
	* Use large font for the name label
	* Fix popup menu positioning

2007-02-14  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Continued with layout fixes

2007-02-13  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Updated idle and call view layouts

2007-02-12  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Added VoipAvatar which is a scaling image widget
	* Made VoipIdleView select All group if selected custom group is deleted from
	  address book.

2007-02-09  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* More clean ups
	* Removed the key snooper from call view (zoom +/- keys are now handled
	  in the normal key press handler)

2007-02-08  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Some clean ups
	* Activate All group, if the current dynamic groups is deleted.

2007-02-07  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Restored DTMF dialpad

2007-02-06  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Don't re-singletonize McAccountMonitor

2007-02-06  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Use OssoABookAndGroup
	* Properly check for empty strings from E-D-S

2007-02-05  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Update the contents of the group model, whenever accounts are enabled
	  or disabled
	  
2007-01-31  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Added Group filtering to idle view
	* Removed the "Select contact" dialog

2007-01-22  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Updated the idle view layout
	* Restored dependency on libosso-rtcom for ChatVoipServiceDialog

2007-01-18  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Removed VoipRecentView widget
	* Disabled presence column from VoipRecentModel (currently not needed)

2007-01-16  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Show infoprints for dimmed menuitems
	* Added manual dial dialog, but no menu item yet (not specified!?)

2007-01-11  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Renamed --enable-auto-answer as --enable-tests
	* Made com.nokia.osso_voip_ui interface emit CallStateChanged D-Bus signal
	  to aid automated tests.

2007-01-09  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Made it compile against osso-addressbook 2.20070105
        * No longer free the retval of mc_account_get_unique_name ()

2007-01-05  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Use the new e_book_query_vcard_field_test () when looking up
	  contacts

2007-01-04  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Exit gracefully on SIGTERM so that atexit() handlers are run

2007-01-03  Lassi Syrjala  <lassi.syrjala@nokia.com>

	* Combined VoipCallView and VoipCall widgets
